All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
snd_tplg_bytes_template Struct Reference
Topology Interface

Template type for TLV Scale objects. More...

## Data Fields

struct snd_tplg_ctl_template | hdr
int | max
int | mask
int | base
int | num_regs
struct snd_tplg_io_ops_template | ext_ops
struct snd_soc_tplg_private * | priv

## Detailed Description

Template type for TLV Scale objects.

## Field Documentation

int snd_tplg_bytes_template::base

base register

struct snd_tplg_io_ops_template snd_tplg_bytes_template::ext_ops

ops mapping

struct snd_tplg_ctl_template snd_tplg_bytes_template::hdr

control type header

int snd_tplg_bytes_template::mask

byte control mask

int snd_tplg_bytes_template::max

max byte control value

int snd_tplg_bytes_template::num_regs

number of registers

struct snd_soc_tplg_private* snd_tplg_bytes_template::priv

control private data

The documentation for this struct was generated from the following file:

- /builddir/build/BUILD/alsa-lib-1.1.4.1/include/topology.h